Vss: Issue with dual active-IP Bfd

Unanswered Question
Sep 13th, 2008

Hi All,

I am facing a problem while configuring Virtual switching system(vss), I need to configure dual active

scenario with IP-BFD but whenever I try to configure the interfaces with command "bfd interval 100 min_rx 100 multiplier 3"

it gives me an error like below.

SW1(config)#int g1/2/12

SW1(config-if)#bfd interval 100 min_rx 100 multiplier 3

^

% Invalid input detected at '^' marker.

SW1(config-if)#bfd ?

% Unrecognized command

SW1(config-if)#bfd

I am using the image s72033-ipbasek9-mz.122-33.SXH3.bin which can support IP-BFD and the line card using is

WS-X6748-GE-TX and it also compatible with VSS.

Anybody who knows about this please help me to resolve.

Regards

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
Loading.
Giuseppe Larosa Sat, 09/13/2008 - 23:06

Hello Rangin,

it looks like that IP-BFD has to be used on an inter-switch link

see

Dual-Active Detection Using IP BFD

To use the IP BFD detection method, you must provision a direct Ethernet connection between the two switches. Regular Layer 3 ping will not function correctly on this connection, as both chassis have the same IP address. The virtual switching system instead uses the Bidirectional Forwarding Detection (BFD) protocol.

If the VSL goes down, both chassis create BFD neighbors, and try to establish adjacency. If the original active chassis receives an adjacency message, it realizes that this is a dual-active scenario, and initiates recovery actions as described in the "Recovery Actions" section.

Note If FlexLinks are configured on the VSS, we recommend using the PAgP detection method. Do not configure FlexLinks and BFD dual-active detection on the same VSS.

http://www.cisco.com/en/US/docs/switches/lan/catalyst6500/ios/12.2SX/configuration/guide/vss.html#wp1063892

And:

For line redundancy, we recommend configuring at least two ports per switch for dual-active detection. For module redundancy, the two ports can be on different switching modules in each chassis. Do not use links from the VSL.

see the section

"Configuring BFD Dual-Active Detection"

This example shows how to configure interfaces for BFD dual-active detection:

Router (config)# interface gigabitethernet 1/9/48

Router (config-if)# no switchport

Router (config-if)# ip address 200.230.230.231 255.255.255.0

Router (config-if)# bfd interval 100 min_rx 100 multiplier 3

Router (config-if)# no shutdown

Router (config-if)# interface gigabitethernet 2/1/48

Router (config-if)# no switchport

Router (config-if)# ip address 201.230.230.231 255.255.255.0

Router (config-if)# bfd interval 100 min_rx 100 multiplier 3

Router (config-if)# no shutdown

I guess you may need the no switchport command but on stand alone 6509 that is the default.

Hope to help

Giuseppe

ranginroshkg Mon, 09/15/2008 - 08:41

Hi Friends,

Actually the error was due to IP-Base image, so I upgraded it to image "s72033-ipservicesk9_wan-mz.122-33.SXH3 " then I configured bfd commands under interface, it worked fine and we tested dual active scenario.

Thanks

Giuseppe Larosa Mon, 09/15/2008 - 09:49

Hello Rangin,

good news that you solved the issue and it is kind that you provided a feedback that can help other collegues starting to work on VSS.

Actually, in some other post someone was asking if VSS is supported in IP base version or not.

Best Regards

Giuseppe

ranginroshkg Wed, 09/17/2008 - 22:39

Hi Giuseppe,

With IP-Base image I configured VSS and tested redundancy and everything, even I tested Dual-Active scenario with Pagp by use of 3750 as edge switch. That time there were some problem since the IoS of 3750 was 12.2(33) and I upgraded to 12.2(46) which is the recommended one to support Pagp+. But the probelm with Pagp dual-active scenario is 3750s " in stack " will not support Pagp it only supports LACP.

Because of that issue I tried to configure IP-BFD and it created problems, then I upgraded the 6509 image to IPservices, everything is OK.

Regards

Rangin

ahmedchohan Wed, 10/15/2008 - 06:02

Hey

Just want to mention that IP-Base does not support VSS. The minimum FeatureSet which supports VSS is IP Services.

Anonymous (not verified) Wed, 10/29/2008 - 07:28

gnijs Fri, 10/31/2008 - 07:23

(1) VSS is not supported with IP Base image, so no way you could get this up and running. You need IP Services for VSS.

(2) Doesn't 12.2(46)SE support cross-stack Pagp+ ? This would be a serious limitation !

e.claveau Fri, 12/12/2008 - 04:45

I've been running VSS one two pairs of switches since SXH2 using IP Base. I've since upgraded to SXH3, SXH3a, and SXI, and all images have been IP Base (s72033-ipbasek9-vm)

ahmedchohan Sun, 12/14/2008 - 00:56

Thats interesting. I myself had to upgrade the IOS to IP Services as VSS would function on IP Base. Even the Feature Navigator doesn't show VSS in IP Base.

Could it be a bug ?!?!

vinit shah Thu, 11/21/2013 - 04:14

Hi Giuseppe,

I am not able to configure below command,

PDC2-S4-VSS-C6506#conf t
Enter configuration commands, one per line.  End with CNTL/Z.
PDC2-S4-VSS-C6506(config)#switch virtual domain 100
PDC2-S4-VSS-C6506(config-vs-domain)#dual
PDC2-S4-VSS-C6506(config-vs-domain)#dual-active ?
  detection  Dual-active detection enable
  exclude    Dual-active cmd to exclude interface from shutdown in recovery
             mode

PDC2-S4-VSS-C6506(config-vs-domain)#dual-active detection ?
  fast-hello  Dual-active detection fast-hello enable
  pagp        Dual-active detection pagp enable

PDC2-S4-VSS-C6506(config-vs-domain)#
PDC2-S4-VSS-C6506(config-vs-domain)#exit

*************sh version*************

sh version
Cisco IOS Software, s2t54 Software (s2t54-IPSERVICESK9-M), Version 15.0(1)SY4, RELEASE SOFTWARE (fc3)
Technical Support: http://www.cisco.com/techsupport
Copyright (c) 1986-2013 by Cisco Systems, Inc.
Compiled Mon 18-Mar-13 00:26 by prod_rel_team

ROM: System Bootstrap, Version 12.2(50r)SYS3, RELEASE SOFTWARE (fc1)

PDC2-S4-VSS-C6506 uptime is 3 days, 21 hours, 14 minutes
Uptime for this control processor is 3 days, 21 hours, 16 minutes
System returned to ROM by reload at 10:20:11 UTC Mon Oct 28 2013
System image file is "bootdisk:s2t54-ipservicesk9-mz.SPA.150-1.SY4.bin"
Last reload reason: Conversion

Can this command work having "Version 15.0(1)SY4" or i'll need to downgrade it to 12.2(33) ?

jpoplawski Fri, 12/12/2008 - 07:00

I would go with 12.2(33)SXI and utilize Dual-Active Fast Hello. It was all the rage at Networkers.

Hope this helps, rate if it does,

JB

Actions

This Discussion